Acesse nossa comunidade na rede Software Livre.org


Instruções para Download e Instalação

Dependências

O Landell 1.0 dependende das seguintes versões de bibliotecas:

Instalação a partir do repositório Git

Para instalar a versão de desenvolvimento mais atual (instável), siga os passos apresentados a seguir. A versão de desenvolvimento pode apresentar instabilidades no uso do software. Recomendamos a utilização de uma versão estável do Landell para transmissão reais.

O código fonte está versionado em um repositório git. Para baixar a versão mais atual, é necessário utilizar um cliente git.

Usuários de Ubuntu/Debian devem instalar o pacote git-core, caso já não tenha este cliente git instalado em seu sistema.

Use o seguinte comando para instalar o cliente git e as ferramentas necessárias para a compilação:

   sudo apt-get install git-core autoconf automake

1. Baixando do git pela primeira vez

Pule esse passo se já realizou a instalação do Landell a partir do repositório git.

Execute o comando abaixo no console para baixar o código.

   git clone http://git.holoscopio.com/git//sltv.git

2. Atualizando o código local para o versão mais atual

Para atualizar o código para a última versão de desenvolvimento, entre no diretório do pacote e baixe as atualizações:

   cd sltv/
   git pull http://git.holoscopio.com/git//sltv.git

3. Compilando e Instalando

Entre no diretório sltv/ compile o código e instale a ferramenta no sistema.

   cd sltv/

Compilando:

   ./autogen.sh
   ./configure
   make
   sudo make install

Executando o software no terminal:

   sltv

Instalação a partir do repositório Debian (Sid)

   deb http://debian.holoscopio.com/sltv/ ./
   deb-src http://debian.holoscopio.com/sltv/ ./

O pacote para Debian é compatível com versões do Ubuntu 9.10 e 10.04. Ainda não testamos mas também deve funcionar em outros sistemas baseados em Debian.

Instalando o plugin cairoimageoverlay

A empresa Holoscópio desenvolveu o plugin cairoimageoverlay utilizado no Landell para sobreposição de imagem PNG sobre vídeo. Para instalar esse plugin há 2 opções:

Instalando o pacote

Para instalar o pacote em distribuições baseadas em Debian/Ubuntu. Adicione o repositório do Landell apresentado no tópico acima e instale o pacote: gstreamer0.10-hplugins

Instalando a partir do código-fonte

Para instalar manualmente a partir do código-fonte, baixe o código fonte do repositório git: http://git.holoscopio.com/git/hplugins.git

Compile e instale o plugin em seu sistema.

Instalando o Theora 1.1 "Thusnelda" no Ubuntu 9.10

A versão 1.1 do theora tem avanços consideráveis na qualidade da imagem gerada na codificação.

A versão da libtheora oficial no Ubuntu 9.10 não é a 1.1, então é necessário instalar um pacote "personalizado" denominado no sistema launchpad de ppa. O procedimento consiste em adicionar o novo repositório ppa com esta versão e atualizar a biblioteca libtheora.

   sudo add-apt-repository ppa:theora/ppa
   sudo apt-get install libtheora0 

Versões mais novas do Ubuntu (Ex.: 10.04) já incluem a versão da libtheora com as melhorias de imagem.